﻿Ext.define('MedwebCloud.view.ChangePasswordForm', {
    extend: 'Ext.form.Panel',
    xtype: 'MedwebCloud.changepasswordform',
    requires: [],

    initComponent: function () {
        var me = this;
        var passLbl = MedWeCloud.getMsg('medweb.view.changepassword.user.password.label');
        var confLbl = MedWeCloud.getMsg('medweb.user.password.confirm.label');

        Ext.apply(me, {
            defaults: {
                width: 300,
                padding: 5
            },
            items: [{
                xtype: 'textfield',
                fieldLabel: 'New Password',
                inputType: 'password',
                name: 'NewPassword'
            }, {
                xtype: 'textfield',
                fieldLabel: 'Confirm Password',
                inputType: 'password',
                name: 'ConfirmPassword'
            }]
        });

        me.callParent(arguments);
    }
});