﻿Ext.define('MedwebCloud.view.DevicesTab', {
    xtype: 'medwebcloud.devicestab',
    extend: 'MedwebCloud.view.ItemTab',
    initComponent: function () {
        var me = this;

        Ext.apply(this, {
            itemId: 'devicestab',
            model: 'MedwebCloud.model.Devices',
            gridConfig: {
                xtype: 'medwebcloud.devicesgrid',
                itemId: 'devicesgrid',
                title: 'Devices',
                stateId: 'devicesgrid'
            },

            panelConfig: {
                xtype: 'medwebcloud.deviceform',
                itemId: 'deviceform',
                title: 'Device',
                idField: 'Id',
                nameField: 'Name'
            }
        });

        this.callParent(arguments);
    }
});