﻿Ext.define('MedwebCloud.view.LicensesTab', {
    xtype: 'medwebcloud.licensestab',
    extend: 'MedwebCloud.view.ItemTab',
    initComponent: function() {
        var me = this;

        Ext.apply(this, {
            itemId: 'licensestab',
            model: 'MedwebCloud.model.License',
            gridConfig: {
                xtype: 'medwebcloud.licensesgrid',
                itemId: 'licensesgrid',
                title: 'Licenses',
                stateId: 'licensesgrid'
            },

            panelConfig: {
                xtype: 'medwebcloud.licenseform',
                itemId: 'licenseform',
                title: 'License',
                idField: 'Id',
                nameField: 'DisplayName'
            }
        });

        this.callParent(arguments);
    }
});