﻿MedwebCloud = window.MedwebCloud || {}
if (!('meta' in MedwebCloud)) {
    MedwebCloud.meta = {}
}
MedwebCloud.meta['MedwebCloud.model.Host'] = function (config, type) {
    var defaultValues = {
        "CollageName": MedwebCloud.getMsg('medweb.host.model.collagename.default'),
        "EVisitName": MedwebCloud.getMsg('medweb.host.model.evisitname.default'),
        "InternalChatName": MedwebCloud.getMsg('medweb.host.model.internalchatname.default'),
        "LookingGlassName": MedwebCloud.getMsg('medweb.host.model.lookingglassname.default'),
        "MyMedwebName": MedwebCloud.getMsg('medweb.host.model.mymedwebname.default'),
        "VitalsPlusName": MedwebCloud.getMsg('medweb.host.model.vitalsplusname.default')
    }
    config.fields = Ext.Array.map(config.fields, function (field, position, allFields) {
        if (field.name == 'ModuleData') {
            field.type = 'auto';
            field.serialize = function (value, rec) {
                if (Array.isArray(value)) {
                    return value.join(',');
                } else {
                    return value;
                }
            };
            field.convert = function (value, rec) {
                if (Array.isArray(value)) {
                    return value;
                } else {
                    value = value || '';
                    value = value.toString(10); //on the off chance its not a string
                    return value.split(',')
                }
            }
        }
        if (field.name in defaultValues) {
            field.defaultValue = defaultValues[field.name];
        }
        return field;
    });

    return config;
}