﻿Ext.define('MedwebCloud.view.Users.Tab', {
    xtype: 'medwebcloud.users.tab',
    extend: 'MedwebCloud.view.ItemTab',
    initComponent: function () {
        var me = this;
        var lblGrid = MedwebCloud.getMsg('medweb.view.usersadmin.grid.title');
        var lblPanel = MedwebCloud.getMsg('medweb.view.usersadmin.panel.title');

        Ext.apply(this, {
            itemId: 'userstab',
            model: 'MedwebCloud.model.User',
            gridConfig: {
                xtype: 'medwebcloud.users.grid',
                itemId: 'usersgrid',
                title: lblGrid,
                stateId: 'users.grid'
            },

            panelConfig: {
                xtype: 'medwebcloud.user.form',
                itemId: 'userseditor',
                title: lblPanel
            }
        });

        this.callParent(arguments);
    }
});